.rankPageWrap {
    padding: 0 0 .02rem;
    margin-bottom: .6rem;
    background: url(../img/top/drankbg.png) no-repeat;
    background-size: 100% auto;
}

.rankPageWrap ul {
    display: block;
    margin: 1.55rem .25rem .2rem;
    padding: 0 0 0 .3rem;
    height: .56rem;
    overflow: hidden;
    overflow-x: auto;
    white-space: nowrap;
    font-size: 0;
    overflow-x: -moz-scrollbars-none;
    -ms-overflow-style: none;
    background: rgba(242,242,242,0);
    border: .02rem solid rgba(255,255,255,.6);
    box-shadow: 0rem .05rem .15rem 0rem rgba(0,0,0,.1);
    border-radius: .3rem;
}

.rankPageWrap ul::-webkit-scrollbar {
    width: 0;
    height: 0;
    display: none;
    -webkit-appearance: none;
    border-radius: 0;
}

.rankPageWrap ul li {
    position: relative;
    margin-right: .1rem;
    vertical-align: top;
    display: inline-block;
    padding: 0 .42rem;
    height: .58rem;
    font-size: .28rem;
    color: #fff;
    line-height: .58rem;
    background: rgba(255,255,255,.3);
    transform: skewX(-25deg);
    -webkit-transform: skewX(-25deg);
    -moz-transform: skewX(-25deg);
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.rankPageWrap ul li a {
    position: relative;
    display: block;
    font-size: .24rem;
    color: #fff;
    transform: skewX(25deg);
    -webkit-transform: skewX(25deg);
    -moz-transform: skewX(25deg);
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.rankPageWrap ul li:before {
    content: "";
    position: absolute;
    left: 0;
    top: .22rem;
    z-index: 1;
    display: inline-block;
    width: .5rem;
    height: .16rem;
    background: url(../img/top/icon.png) no-repeat;
    background-size: 10rem 10rem;
    background-position: -1.75rem -3.94rem;
}

.rankPageWrap ul li:after {
    content: "";
    position: absolute;
    right: 0;
    top: .22rem;
    z-index: 1;
    display: inline-block;
    width: .5rem;
    height: .16rem;
    background: url(../img/top/icon.png) no-repeat;
    background-size: 10rem 10rem;
    background-position: -2.4rem -3.94rem;
}

.rankPageWrap ul li.current:before {
    content: "";
    position: absolute;
    left: 0;
    top: .22rem;
    z-index: 1;
    display: inline-block;
    width: .5rem;
    height: .16rem;
    background: url(../img/top/icon.png) no-repeat;
    background-size: 10rem 10rem;
    background-position: -.06rem -3.94rem;
}

.rankPageWrap ul li.current:after {
    content: "";
    position: absolute;
    right: 0;
    top: .22rem;
    z-index: 1;
    display: inline-block;
    width: .5rem;
    height: .16rem;
    background: url(../img/top/icon.png) no-repeat;
    background-size: 10rem 10rem;
    background-position: -.7rem -3.94rem;
}

.rankPageWrap ul li.current {
    position: relative;
    top: -.01rem;
    height: .6rem;
    background: linear-gradient(90deg, #91FFD0, #B1FDA2);
}

.rankPageWrap ul li.current a {
    color: #FF7B4C;
    font-weight: bold;
}

.rankPageWrap ol {
    position: relative;
    top: .15rem;
    padding-top: 1rem;
    padding-bottom: .02rem;
    margin: 2rem .25rem 0;
    background: rgba(255,255,255,.5);
    border: .03rem solid rgba(255,255,255,.5);
    box-shadow: 0px .1rem .15rem 0 #D5EFF6;
    border-radius: .2rem;
}

.rankPageWrap ol li:nth-of-type(2n+1) {
    background-color: #f0f7f9;
}

.rankPageWrap ol li {
    position: relative;
    z-index: 1;
    height: 2.06rem;
}

.rankPageWrap ol li a {
    position: relative;
    display: block;
    padding: .39rem 0;
    overflow: hidden;
    *zoom: 1;}

.rankPageWrap ol li i {
    float: left;
    display: block;
    margin-left: .05rem;
    width: 1rem;
    height: 1.28rem;
    font-size: .34rem;
    color: #C2C2D9;
    font-family: "Arial";
    font-weight: bold;
    font-style: italic;
    line-height: 1.28rem;
    text-align: center;
}

.rankPageWrap ol li img {
    float: left;
    width: 1.28rem;
    height: 1.28rem;
    border-radius: .3rem;
    margin-right: .21rem;
}

.rankPageWrap ol li div {
    float: left;
    width: 4.2rem;
    height: 1.28rem;
    overflow: hidden;
}

.rankPageWrap ol li div p {
    display: block;
    margin-bottom: .03rem;
    font-size: .28rem;
    color: #333;
    line-height: .36rem;
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
}

.rankPageWrap ol li div span {
    display: block;
    font-size: .22rem;
    color: #9F9FA4;
    line-height: .42rem;
    margin-bottom: .02rem;
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
}

.rankPageWrap ol li a>span {
    display: none;
}

.rankPageWrap ol li:nth-of-type(n+4) a:after {
    content: "";
    position: absolute;
    top: .8rem;
    right: .38rem;
    display: block;
    width: .46rem;
    height: .46rem;
    background: url(../img/top/icon.png) no-repeat;
    background-size: 10rem 10rem;
    background-position: -2.37rem -.71rem;
}

.rankPageWrap ol li:nth-of-type(-n+3) {
    position: absolute;
    top: -2rem;
    width: 1.8rem;
    height: 2.98rem;
    margin: 0;
    background-color: transparent;
    background: url(../img/top/indexr1bg.png) no-repeat;
    background-size: 100% 100%;
    text-align: center;
}

.rankPageWrap ol li:nth-of-type(1) {
    left: 2.61rem;
    background: url(../img/top/indexr1bg.png) no-repeat;
    background-position: bottom;
    background-size: 100% auto;
}

.rankPageWrap ol li:nth-of-type(2) {
    height: 2.94rem;
    left: .41rem;
    background: url(../img/top/indexr2bg.png) no-repeat;
    background-position: bottom;
    background-size: 100% auto;
}

.rankPageWrap ol li:nth-of-type(3) {
    height: 2.94rem;
    left: 4.8rem;
    background: url(../img/top/indexr3bg.png) no-repeat;
    background-position: bottom;
    background-size: 100% auto;
}

.rankPageWrap ol li:nth-of-type(-n+3) a {
    padding: 0;
}

.rankPageWrap ol li:nth-of-type(-n+3) i {
    position: absolute;
    top: 0;
    left: .22rem;
    z-index: 1;
    float: inherit;
    font-size: 0;
    width: .5rem;
    height: .45rem;
    background: url(../img/top/icon.png) no-repeat;
    background-size: 10rem 10rem;
}

.rankPageWrap ol li:nth-of-type(1) i {
    background-position: -.03rem -.71rem;
}

.rankPageWrap ol li:nth-of-type(2) i {
    background-position: -.74rem -.71rem;
    top: .21rem;
}

.rankPageWrap ol li:nth-of-type(3) i {
    background-position: -1.45rem -.71rem;
    top: .21rem;
}

.rankPageWrap ol li:nth-of-type(-n+3) img {
    float: inherit;
    display: block;
    width: .95rem;
    height: .95rem;
    border: .03rem solid #FEB754;
    margin: auto;
    border-radius: .2rem;
}

.rankPageWrap ol li:nth-of-type(1) img {
    border-color: #FEB754;
    margin-top: .26rem;
}

.rankPageWrap ol li:nth-of-type(2) img {
    border-color: #FD8EB9;
    margin-top: .45rem;
}

.rankPageWrap ol li:nth-of-type(3) img {
    border-color: #B482FC;
    margin-top: .45rem;
}

.rankPageWrap ol li:nth-of-type(-n+3) div {
    float: inherit;
    width: 100%;
    height: auto;
}

.rankPageWrap ol li:nth-of-type(-n+3) div p {
    margin-bottom: 0;
    text-align: center;
    font-weight: bold;
    font-size: .2rem;
    color: #fff;
    line-height: .32rem;
    margin-top: .15rem;
}

.rankPageWrap ol li:nth-of-type(-n+3) div span {
    margin-bottom: 0;
    text-align: center;
    font-size: .18rem;
    color: rgba(255,255,255,.5);
    line-height: .28rem;
    text-overflow: inherit;
}

.rankPageWrap ol li:nth-of-type(-n+3) a>span {
    display: block;
    margin: .06rem auto;
    font-size: .24rem ;
    color: rgba(255, 255, 255, 0);
    width: 1.24rem;
    height: .46rem;
    line-height: .46rem;
    background: linear-gradient(-90deg, #91FFD0 0%, #B1FDA2 100%);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    border: .02rem solid rgba(255,255,255,.5);
    border-radius: .27rem;
}

.rankPageWrap ol li:nth-of-type(1) a>span {
    margin-top: .13rem;
}

.rankPageWrap ol li:nth-of-type(1) div p {
    margin-top: .19rem;
}

.rankPageWrap ol li:nth-of-type(-n+3) div span:nth-of-type(1) {
    display: none;
}